#!/bin/sh

# Run all scripts.

set -o errexit  # (-e) exit immediately if any command has a non-zero exit status

# Go where this script is.
cd "$(dirname "$0")" || exit

echo "Start -> $(date --utc)"

echo '=== get hosts ==='
./get-hosts.sh

echo '=== get certs ==='
if command -v torsocks >/dev/null; then
  ./get-certs.sh tor
else
  ./get-certs.sh
fi

echo '=== cert details ==='
./cert-details.sh

echo '=== Agunua ==='
agunua/generate-trust-store.sh
echo '=== Amfora ==='
amfora/generate-trust-store.sh
echo '=== Lagrange ==='
lagrange/generate-trust-store.sh

echo "End -> $(date --utc)"
